let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/c9cxq1583a85bsq76q2rbnbiwwp7ygxr-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/9q2s3gm5hyv02r2290sdx1nxab8haiym-coreutils-8.32/bin";
  bzip2 = "/nix/store/r7a8rxds7hk3s1g0sbk2p8pxajnknz8h-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/p9bxax4hb73q39jxgnb6s3hf8kqjbprl-gzip-1.10/bin/gzip";
  xz = "/nix/store/kmcjpbz1zmnj2j9ar4pw0092gcy2xszb-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/9i3jamddqlgdajzh0zx5s02cjg9n07bf-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/9q2s3gm5hyv02r2290sdx1nxab8haiym-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/6p6qwp73dgfkqhynmxrzbx1lcfgfpqal-nix-2.3.15/bin";
  nixPrefix = "/nix/store/6p6qwp73dgfkqhynmxrzbx1lcfgfpqal-nix-2.3.15";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/6p6qwp73dgfkqhynmxrzbx1lcfgfpqal-nix-2.3.15/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
